; -----	uvsprd:  Returns reformatted data array & header from UVSP data file.
; -----	R. Nakatsuka, 12 Apr 1993.
;
; -----	Bear child and pass UVSP filename, then read through pipe:
; -----	    Return code (1 integer).
; -----	If code indicates success, then read:
; -----	    Vector of array dimensions (6 longwords),
; -----	    File header (256 integers),
; -----	    Data array (floats, array size unknown in advance).
;
	FUNCTION uvsprd, filename,header
	ON_ERROR,2
	SPAWN, ['/home/gurman/uvsprd/uvsprd',filename], UNIT=pipe,/NOSHELL
	data = 0  &  READU, pipe, data  ; Read return code as integer
;
	IF data THEN BEGIN
	    data = LONARR(6)
	    READU, pipe, data
	    data = MAKE_ARRAY(DIMENSION=data,/FLOAT)  &  header = INTARR(256)
	    READU, pipe, header,data
	ENDIF
;
	FREE_LUN, pipe  &  RETURN, data
	END
